Subject: Re: RFC: Redirect-Device

From: Ben Greear <[email-masked]>
Date: Thu, 31 Mar 2005 15:00:07 -0800

Thomas Graf wrote:
> * Ben Greear <[email-masked]> 2005-03-31 14:22
> 
>>My personal opinion is that netlink sockets are a pain in the ass to deal
>>with, and there is no way I want to try to programatically parse the tc
>>input or output.
> 
> 
> libnl will make your life a lot easier, the tc support is not yet
> finished but I'll be releasing a version this week which at least
> fully support all the basics (link, neigh, address, routes, rules).
> It's only a matter of time until one can use the tc interface with
> only a few library calls.

Sometime I will revisit netlink.  There are some things I want to do
like allowing more than 8 bits of routing tables, and perhaps watching
for network link up/down events and the like.  Please don't bust ass to support
tc on my account as it's quite unlikely I'll use it any time soon.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com